{"title":"Create salesCreditMemos","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_salescreditmemo_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salescreditmemo_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salescreditmemo_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates a sales credit memo object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":55,"chars":210},{"level":2,"title":"Request headers","slug":"request-headers","at":265,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":367,"chars":96},{"level":2,"title":"Response","slug":"response","at":463,"chars":131},{"level":2,"title":"Example","slug":"example","at":594,"chars":952},{"level":2,"title":"Related information","slug":"related-information","at":1546,"chars":323}],"text":"Create a sales credit memo object in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/salesCreditMemos\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of a salesCreditMemos object.\n## Response\nIf successful, this method returns ```201 Created``` response code and a salesCreditMemos object in the response body.\n## Example\nRequest\nHere's an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/salesCreditMemos\nContent-type: application/json\n\n{\n  \"creditMemoDate\": \"2022-12-27\",\n  \"customerNumber\": \"10000\",\n  \"currencyCode\": \"GBP\",\n  \"paymentTermsId\": \"a0a51911-e48a-ed11-af3b-cf75db0ab305\"\n}\n```\nResponse\nHere's an example of a response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n  \"id\": \"1e8cb9c0-44e3-ea11-bb43-000d3a2feca1\",\n  \"number\": \"1009\",\n  \"creditMemoDate\": \"2022-12-27\",\n  \"dueDate\": \"2023-01-27\",\n  \"customerId\": \"customerId-value\",\n  \"contactId\": \"\",\n  \"customerNumber\": \"10000\",\n  \"customerName\": \"Adatum Corporation\",\n  \"billingPostalAddress\": {\n    \"street\": \"\",\n    \"city\": \"\",\n    \"state\": \"\",\n    \"countryLetterCode\": \"\",\n    \"postalCode\": \"\"\n  }\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nSales Credit Memo<../resources/dynamics_salescreditmemo>\nGet Sales Credit Memo<dynamics_salescreditmemo_get>\nUpdate Sales Credit Memo<dynamics_salescreditmemo_update>\nDelete Sales Credit Memo<dynamics_salescreditmemo_delete>"}